Possibly wrong use of Source Application Entity Title (0002,0016)
Module: dcmnet, dcmpstat, dcmgrdb Compiler:

Operating System:

Description

Currently, some command line tools store the value of the Calling AE Title in the Source Application Entity Title (0002,0016) Attribute
of the File Meta Information of created DICOM files. This seems to be wrong according to DICOM PS3.10 Table 7.1-1:

The DICOM Application Entity (AE) Title of the AE that wrote this file's content—
(or last updated it). If used, it allows the tracing of the source of errors in the—
event of media interchange problems. The policies associated with AE Titles—
are the same as those defined in PS3.8.—

Note—

If the Data Set was created de novo by the application writing the file,—
its AE Title, if it has one, may be used. If the Data Set was received—
over the network, there is potential ambiguity as to whether the value—
is the same as Sending Application Entity Title (0002,0017) or—
Receiving Application Entity Title (0002,0018) or some other value.—

At least it should be considered whether using Sending Application EntityTitle{0002,0017) and Receiving Application-Entity Title—
(0002,0018) wouldn't be more appropriate.—

Related issues:
Related to DCMTK - Feature #1066: Fill in Sending/Receiving EntityTitle-in... New 2023-02-14

History

#1 - 2022-12-02 22:40 - J6rg Riesmeier

- Description updated

#2 - 2022-12-04 17:47 - J6rg Riesmeier
- Related to Bug #1051: DemSCP::setRespondWithCalledAETitle() does not work when parameter "useCalled" is OF False added

#3 - 2022-12-04 17:48 - J6rg Riesmeier
- Related to deleted (Bug #1051: DemSCP::setRespondWithCalledAETitle() does not work when parameter "useCalled" is OF False)

#4 - 2023-01-16 15:35 - J6rg Riesmeier

- Assignee set to Michael Onken

#5 - 2023-02-11 17:09 - Michael Onken

All tools that write Source Application Entity Title in DCMTK use the Calling AE Title of the remote system that transferred the file (movescu, storescp,
DcmSCU and DemSCP by calling DIMSE_createFilestream(), dcmpsrcv).

| find the "note" quoted in the ticket a bit ambiguous itself, but: My impression is that there is no problem using the Sending Application Entity Title,
which is per the standard text the Calling AE Title. | find this information (who sent the information) more useful than the information which local AE
Title stored the file.

| would vote for leaving the code as is since DCMTK users may rely on it this way as well. Instead, one could (should?) also write the tags for
Sending/Receving Application Entity Title.

2025-09-06 1/2




#6 - 2023-02-14 09:45 - Michael Onken

- Status changed from New to WontFix

#7 - 2023-02-14 11:16 - Jorg Riesmeier
- Related to Feature #1066: Fill in Sending/Receiving EntityTitle-n Metaheader where applicable added
